commit:     24c48b325dd5a22284d077d6581a1a45e397e511
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 18 07:58:33 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Jun 18 08:01:37 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=24c48b32

media-libs/rlottie: 0.1 release

 - introduce subslot.

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-libs/rlottie/Manifest           |  1 +
 media-libs/rlottie/rlottie-0.1.ebuild | 43 +++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/media-libs/rlottie/Manifest b/media-libs/rlottie/Manifest
index 2dcfe3d15ba..e79c58d8084 100644
--- a/media-libs/rlottie/Manifest
+++ b/media-libs/rlottie/Manifest
@@ -1 +1,2 @@
 DIST rlottie-0.0.1_pre20200424.tar.gz 3371620 BLAKE2B 
cdfc89f66e7aec736029416decf76777f22b4cb8293bed74e647088480faed4c6ffd03a29a967ac532f9e747858fdd93fa552eb974085f7cf1701a12fe3a2c38
 SHA512 
1a05b835c083337a80b32ea8c1e201d1d2356c58e314b791f74f95504303f3ef46d3951abf2a7467daaeae462c1fe2cf793d9fb2402639b279ca6ea6367cdda7
+DIST rlottie-0.1.tar.gz 3370201 BLAKE2B 
071c811865c478e130650ae54f1d95000dac7c34f9c304776153df9f7d92d50f552862f79c6a04bd3ec7dc8221f8aafbe413d36503deb6133acfab985ca0ed0a
 SHA512 
55a60d63fee4ed9dfa79734e1798d70d84eae96bb53064468c2aa14fb1e9fd6dbccd3c95b1a7e02e31c0bbc21978760ea9b41bc79c4567cc54228bc6280a155f

diff --git a/media-libs/rlottie/rlottie-0.1.ebuild 
b/media-libs/rlottie/rlottie-0.1.ebuild
new file mode 100644
index 00000000000..a9d390fe081
--- /dev/null
+++ b/media-libs/rlottie/rlottie-0.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit meson
+
+DESCRIPTION="A platform independent standalone library that plays Lottie 
Animations"
+HOMEPAGE="https://www.tizen.org/ https://github.com/Samsung/rlottie";
+SRC_URI="https://github.com/Samsung/rlottie/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD FTL JSON LGPL-2.1 MIT"
+SLOT="0/0.0.1"
+KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug examples test"
+
+RESTRICT="!test? ( test )"
+
+DEPEND="test? ( dev-cpp/gtest )"
+
+PATCHES=( "${FILESDIR}"/rlottie-0.0.1_pre20190920-disable-werror.patch )
+
+src_configure() {
+       local emesonargs=(
+               -D cache=true
+               -D module=true
+               -D thread=true
+
+               -D cmake=false
+               -D example=false
+
+               $(meson_use debug dumptree)
+               $(meson_use debug log)
+               $(meson_use test)
+       )
+
+       meson_src_configure
+}
+
+src_test() {
+       cd "${BUILD_DIR}" || die "Failed to switch into BUILD_DIR."
+       eninja test
+}

Reply via email to